import type { RequestedAttributeOptions } from './RequestedAttribute';
import type { RequestedPredicateOptions } from './RequestedPredicate';
import type { IndyRequestedCredentials } from 'indy-sdk';
import { RequestedAttribute } from './RequestedAttribute';
import { RequestedPredicate } from './RequestedPredicate';
export interface IndyRequestedCredentialsOptions {
    requestedAttributes?: Record<string, RequestedAttributeOptions>;
    requestedPredicates?: Record<string, RequestedPredicateOptions>;
    selfAttestedAttributes?: Record<string, string>;
}
/**
 * Requested Credentials for Indy proof creation
 *
 * @see https://github.com/hyperledger/indy-sdk/blob/57dcdae74164d1c7aa06f2cccecaae121cefac25/libindy/src/api/anoncreds.rs#L1433-L1445
 */
export declare class RequestedCredentials {
    constructor(options?: IndyRequestedCredentialsOptions);
    requestedAttributes: Record<string, RequestedAttribute>;
    requestedPredicates: Record<string, RequestedPredicate>;
    selfAttestedAttributes: Record<string, string>;
    toJSON(): IndyRequestedCredentials;
    getCredentialIdentifiers(): string[];
}
